Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Copydir

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Copydir

Deprecated. The copydir task is deprecated. Use copy instead.

public class Copydir
extends MatchingTask

Copies a directory.

Author:
  James Davidson duncan@x180.com

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Copydir()` Deprecated.

Method Summary
`void` | `execute()` Deprecated. Called by the project to let the task do it's work.
`void` | `setDest(java.io.File dest)` Deprecated.
`void` | `setFiltering(boolean filter)` Deprecated.
`void` | `setFlatten(boolean flatten)` Deprecated.
`void` | `setForceoverwrite(boolean force)` Deprecated.
`void` | `setSrc(java.io.File src)` Deprecated.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Copydir

    public Copydir()

  Deprecated.

Method Detail

### setSrc

    public void setSrc(java.io.File src)

  Deprecated.

### setDest

    public void setDest(java.io.File dest)

  Deprecated.

### setFiltering

    public void setFiltering(boolean filter)

  Deprecated.

### setFlatten

    public void setFlatten(boolean flatten)

  Deprecated.

### setForceoverwrite

    public void setForceoverwrite(boolean force)

  Deprecated.

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.